Subject: population sizes, locales, etc.

From: [email-masked] (Edward K. Gilding)
Date: Mon, 11 Sep 95 21:35:57 HST

I am going on a trip to the phillipines this oct., we will stay on Luzon 
then fly to Palawan.  I was studing the map and photos of palawan and in 
some area it seems to be ideal spots for hoyas in the section eriostemma.

does anyone know of any studies on the populations or information on the 
locales of these plants?

It seems to me that collector who travel abroad tend to look for 
something new and different and not the "everyday".  In turn not much is 
known (to me at least) about the populations and locales of the species. 

p.s. any locale info on nepenthes sp.? particuarly N. truncata?